import type { AlignPropType, KoliBriTabsCallbacks, LabelPropType, Stringified, TabButtonProps, TabsAPI, TabsStates } from '../../schema';
import type { JSX } from '../../stencil-public-runtime';
export declare class KolTabs implements TabsAPI {
    private readonly host?;
    private tabPanelsElement?;
    private onCreateLabel;
    private showCreateTab;
    private nextPossibleTabIndex;
    private onKeyDown;
    private readonly onClickSelect;
    private readonly onMouseDown;
    private readonly callbacks;
    private renderButtonGroup;
    private tabPanelHost?;
    private readonly catchTabPanelHost;
    render(): JSX.Element;
    _align?: AlignPropType;
    _label: LabelPropType;
    _on?: KoliBriTabsCallbacks;
    _selected?: number;
    _tabs: Stringified<TabButtonProps[]>;
    state: TabsStates;
    private selectNextNotDisabledTab;
    private syncSelectedAndTabs;
    validateAlign(value?: AlignPropType): void;
    validateLabel(value?: LabelPropType): void;
    validateOn(value?: KoliBriTabsCallbacks): void;
    validateSelected(value?: number): void;
    validateTabs(value?: Stringified<TabButtonProps[]>): void;
    componentWillLoad(): void;
    private readonly handleTabPanels;
    componentDidRender(): void;
    private onSelect;
    private onCreate;
}
